PROBE::NFSD.READ(3stap)

NAME
probe::nfsd.read - NFS server reading data from a file for client

SYNOPSIS

nfsd.read

VALUES

fh
    file handle (the first part is the length of the file handle)

offset
    the offset of file

size
    read bytes

file
    argument file, indicates if the file has been opened.

vec
    struct kvec, includes buf address in kernel address and length of each buffer

vlen
    read blocks

count
    read bytes

client_ip
    the ip address of client

SEE ALSO
tapset::nfsd(3stap)